"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const app_configuration_1 = require("../app/app-configuration");
const indexed_db_1 = require("./indexed-db");
const _STORAGE_NAME_FIELD_NAME = app_configuration_1.PitayaAppConfiguration.Database.storageNameFieldName;
const storageDb = indexed_db_1.PitayaIndexedDb.storage;
exports.PitayaStorage = {
    async get(key) {
        return await storageDb
            .where(_STORAGE_NAME_FIELD_NAME)
            .equals(key)
            .first();
    },
    async set(data) {
        return await storageDb.add(data);
    },
    async update(key, data) {
        return await storageDb
            .where(_STORAGE_NAME_FIELD_NAME)
            .equals(key)
            .modify(data);
    },
    async has(key) {
        return await storageDb
            .where(_STORAGE_NAME_FIELD_NAME)
            .equals(key)
            .count() > 0;
    }
};
//# sourceMappingURL=storage.js.map