"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const development_1 = require("../development/development");
exports.PitayaAppConfiguration = {
    Development: {
        enabled: false,
        bodyClassName: "pitaya--under-development",
        logging: "debug"
    },
    View: {
        defaultTheme: "primary"
    },
    set(settings) {
        if (typeof settings !== "object") {
            return;
        }
        _replaceRecursive(settings, exports.PitayaAppConfiguration);
        delete exports.PitayaAppConfiguration.set;
        Object.freeze(exports.PitayaAppConfiguration);
        return development_1.executeDevelopmentQueue(exports.PitayaAppConfiguration);
    }
};
const _replaceRecursive = function (source, target) {
    for (const key in source) {
        const setting = source[key];
        if (key !== "Custom" && (!target.hasOwnProperty(key) || typeof setting !== typeof target[key])) {
            continue;
        }
        if ((typeof setting !== "object" && !source[Symbol.iterator]) || key === "Custom") {
            target[key] = setting;
            continue;
        }
        _replaceRecursive(setting, target[key]);
    }
};
//# sourceMappingURL=app-configuration.js.map