import { NavigationInstruction, RedirectToRoute, RouteConfig } from "aurelia-router";
import { IViewStates }                                         from "../../types";

export declare abstract class PitayaView
{
	public static instance: PitayaView;
	public readonly scrollingIsEnabled: boolean;
	public rootElement: HTMLElement;
	public states: IViewStates;
	public innerElement: HTMLElement;

	public canActivate( params: any, routeConfig: RouteConfig, navigationInstruction: NavigationInstruction ): boolean | RedirectToRoute | Promise<boolean | RedirectToRoute>;

	public activate( params, routeConfig, navigationInstruction );

	public created( parentContext, context );

	public bind( bindingContext, overrideContext );

	public attached();

	public detached();

	public unbind();

	public navigate( route: string, options?: any ): boolean;

	public navigateToRoute( route: string, params?: object, options?: any ): boolean;

	public navigateBack();

	public queueAnimationTask( task: Function );

	public setTheme( color: string );

	public enableScrolling( enable: boolean );
}

export declare function scrollTo( target: number | HTMLElement, offset?: number ): void;

export declare function enableScrolling( enable: boolean ): void;